function Car(image, make, model, description, price, category, year, mileage, extras) {
	this.image = image;
	this.make = make;
	this.model = model;
	this.description = description;
	this.price = price;
	this.category = category;
	this.year = year;
	this.mileage = mileage;
	this.extras = extras;
}

// function generateCar(image, make, model, description, price, category, year, mileage, extras) {
// 	const car = new Car(image, make, model, description, price, category, year, mileage);

// 	for (const extra of extras) {
// 		car.extras.push(extra);
// 	}

// 	return car;
// }

Car.prototype.generateImage = function(elt){
	const img = document.createElement("img");
	img.setAttribute("src", this.image);
	img.setAttribute("alt", this.make + " " + this.model);
	img.setAttribute("class", "card-img-top");
	elt.appendChild(img);
}

Car.prototype.generateExtras = function(elt){
	const ul = document.createElement("ul");

	for (const extra of this.extras) {
		const li = document.createElement("li");
		li.appendChild(document.createTextNode(extra.name + " " + extra.price + " €"));
		ul.appendChild(li);
	}

	elt.appendChild(ul);
}